commit 010246296982a76593a66b306241f270591cfa66
parent 47aab0325e41090748285a5197a7925717ae9fab
Author: Anders Damsgaard <anders@adamsgaard.dk>
Date: Fri, 8 Mar 2019 15:17:15 +0100
Add script to search for papers locally and through google scholars
Diffstat:
2 files changed, 13 insertions(+), 1 deletion(-)
diff --git a/links/.config/newsboat/config b/links/.config/newsboat/config
@@ -43,7 +43,7 @@ feedlist-title-format "%N %V - Feeds (%u unread, %t total)%?T? - tag `%T'&?"
html-renderer "w3m -dump -T text/html"
color background default default
-color listnormal color7 default
+color listnormal color15 default
color listfocus color15 color7 # indicator
color listnormal_unread default default # unread, not under indicator
color listfocus_unread default color7 # normal, under indicator
diff --git a/links/bin/articlesearch b/links/bin/articlesearch
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+set -e
+
+browser=${BROWSER:-firefox}
+
+choice=$(find ~/articles/ -type f | dmenu_themed -i -l 10 -p "Search publications:") || exit 1
+
+if [ -f "$choice" ]; then
+ xdg-open "$choice"
+else
+ $browser "https://scholar.google.com/scholar?q=$choice"
+fi